# Create module readme

Endpoint to push the Readme for a given module

Endpoint: POST /iacm/api/modules/{name}/{system}/{version}/readme
Version: 1.0
Security: x-api-key

## Query parameters:

  - `submoduleName` (string)
    submodule name
    Example: "Eius et esse dolorum."

  - `scope_org` (string)
    org name
    Example: "Et rem necessitatibus."

  - `scope_project` (string)
    project name
    Example: "Deserunt eius veniam omnis."

## Path parameters:

  - `name` (string, required)
    module name
    Example: "Aut in error maiores sequi."

  - `system` (string, required)
    system name
    Example: "Fuga sunt."

  - `version` (string, required)
    version of the module
    Example: "Voluptas placeat."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Sunt ipsa rerum."

  - `Content-Length` (integer)
    Size in bytes of the readme
    Example: 4562733088780739000

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 201 fields
